/***************************************************************************
 *                                                                         *
 *  Copyright 2007-2015 Avago Technologies.  All rights reserved.          *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  mpi_temp.h
 *          Title:  Temporary MPI data
 *     Programmer:  Steve Schremmer
 *  Creation Date:  May 29, 2007
 *
 *
 * Description
 * ------------
 * This file is the temporary location for new MPI related items until they are
 * available in the official MPI header files. Before something is added here,
 * there must be a related activity to get it approved for MPI. Defines for
 * product-specific features should never be placed in this file, as they do
 * not get added to MPI.
 *
 * Only defines for MPI items should begin with an MPI2_ prefix.
 *
 *----------------------------------------------------------------------------
 */

#ifndef _cos1_1_mpi_temp_h_H
#define _cos1_1_mpi_temp_h_H

#define MPI_EXT_IMAGE_CODE_OFFSET    (MPI2_EXT_IMAGE_HEADER_SIZE+MPI2_FW_HEADER_SIZE)

/* Power management product-specific value for SAS IO Unit Control Operation field */
#define MPI26_CTRL_OP_POWER_MANAGEMENT_POLICY_CHANGE    (0x81)

#define MPI2_FW_DOWNLOAD_ITYPE_TERMINATE                (0xFF)

#define MPI26_MFGPAGE_DEVID_SAS3716_ERR             (0x00C0)
#define MPI26_MFGPAGE_DEVID_SAS3616_ERR             (0x00C1)
#define MPI26_MFGPAGE_DEVID_SAS3708_ERR             (0x00C2)
#define MPI26_MFGPAGE_DEVID_SAS3716                 (0x00D0)
#define MPI26_MFGPAGE_DEVID_SAS3616                 (0x00D1)
#define MPI26_MFGPAGE_DEVID_SAS3708                 (0x00D2)

#define MPI26_SAS_DEVICE_INFO_SED_ATTACH        (0x00008000)
#define MPI26_PCIE_DEVINFO_MPI                  (0x00000005)

#define MPI26_CTRL_OP_CONFIG_HOST_DEVHANDLE     (0x1C)

#define MPI26_FW_HEADER_SIGNATURE0_TIGER         (MPI26_FW_HEADER_SIGNATURE0_BASE+MPI26_FW_HEADER_SIGNATURE0_ARC_2)

#endif //_cos1_1_mpi_temp_h_H
